%define majver %(echo %version | cut -d. -f1-2)

Name:          ghostwriter
Version:       25.04.3
Release:       1mamba
Summary:       A text editor for Markdown for KDE Plasma
Group:         Graphical Desktop/Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://apps.kde.org/it/ghostwriter/
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/ghostwriter-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libgcc
BuildRequires: libhunspell-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
A text editor for Markdown for KDE Plasma.


%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/ghostwriter
%{_datadir}/metainfo/org.kde.ghostwriter.metainfo.xml
%{_datadir}/applications/org.kde.ghostwriter.desktop
%{_datadir}/icons/hicolor/*/apps/ghostwriter.png
%{_datadir}/icons/hicolor/scalable/apps/ghostwriter.svg
%{_mandir}/man1/ghostwriter.1*
%doc COPYING LICENSES

%changelog
* Sat Jul 05 2025 Automatic Build System <autodist@openmamba.org> 25.04.3-1mamba
- automatic version update by autodist

* Sat Jun 07 2025 Automatic Build System <autodist@openmamba.org> 25.04.2-1mamba
- automatic version update by autodist

* Mon May 12 2025 Automatic Build System <autodist@openmamba.org> 25.04.1-1mamba
- automatic version update by autodist

* Mon Apr 21 2025 Automatic Build System <autodist@openmamba.org> 25.04.0-1mamba
- automatic version update by autodist

* Sun Mar 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.3-1mamba
- automatic version update by autodist

* Sun Feb 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 24.12.1-1mamba
- automatic version update by autodist

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 24.12.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 24.08.3-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 24.08.2-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 24.08.1-1mamba
- automatic version update by autodist

* Mon Aug 26 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Fri Jul 05 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Sat Mar 23 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Tue Mar 05 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 24.01.95-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Thu Nov 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.08.0-1mamba
- package created using the webbuild interface
